New device-level test to be included as part of the Compatibility Program in November 2015


Starting in November 2015, the Hypervisor Code Integrity (HVCI) Readiness Test will be added as part of the Windows Hardware Compatibility Program. The purpose of the test is to ensure that drivers are compatible with Device Guard. For more information about the test, see the blog post on Driver Compatibility with Device Guard in Windows 10.

For Windows Server 2016 submissions, the test will be required starting in November.

For Windows 10 desktop submissions, the test will be required starting in September 2016. Until then, Errata ID 5792 will filter the test for Windows 10 Desktop submissions.

This test is currently available in the Hardware Lab Kit and is mapped to the following requirements:

  • Filter.Driver.DeviceGuard.DriverCompatibility
  • Device.Devfund.DeviceGuard.DriverCompatibility

At this time, the test results are accurate for device drivers. An updated test will be made available for filter driver testing at a later date. For current filter driver testing, refer to the How to verify driver compatibility section in Driver Compatibility with Device Guard in Windows 10.

An updated playlist that contains this test will be available soon.


Comments (5)

  1. Sriram says:

    Hi,

    When can we expected the updated playlist version?

    Thanks.

  2. HC Huang says:

    Hi,

    I got an email from msftconn@microsoft.com on 2015/10/28 and it said "This test will be required for all Windows Server submissions in November". But I found the description changed to "For Windows Server 2016 submissions, the test will be required starting in November", Could you help me to clarify which one is correct?

    Thank you.

    HC

  3. whqltest says:

    hi ,

    On printer driver with win10 OS WHQL testing I found this test case "Hypervisor Code Integrity (HVCI) Readiness " when i load playlist 1.8, So i have a question Errata ID 5792 will filter the test for printer driver testing on win10 OS?

  4. Cymon Kilmer says:

    The Hypervisor Code Integrity (HVCI) Readiness Test is in the 1.8 version of the playlist. The test is required for Windows Server 2016 , not for any down-level server OS's. The Errata 5792 is expected to filter all failures on Windows 10 client until 9/15/2016. The errata is being updated to handle the case where the job hits a BS when ran.

  5. Yingyu says:

    Windows 10 has new build 10586. So, in my HLK test ,shall I prepare both Windows 10240 & 10586 for running HLK tests?

Skip to main content